if [ -e /usr/lib/git-core/git-sh-prompt ]
then
	export GIT_PS1_DESCRIBE_STYLE="branch"
	export GIT_PS1_SHOWCOLORHINTS="true"
	export GIT_PS1_SHOWDIRTYSTATE="true"
	export GIT_PS1_SHOWSTASHSTATE="true"
	export GIT_PS1_SHOWUNTRACKEDFILES="true"
	export GIT_PS1_SHOWUPSTREAM="verbose"
	
	if [ "$(id -u)" -eq 0 ]
	then
		export PROMPT_COMMAND="__git_ps1 '' '\[\e[1;34m\]\u@\H:\w\\\$\[\033[0m\] '"
	else
		export PROMPT_COMMAND="__git_ps1 '' '\[\e[0m\]\u@\H:\w\\\$ '"
	fi
fi
