#!/bin/sh
#
# Configure root email alias correctly

FILE="/etc/aliases"
PATTERN="root:"
VALUE="linux@gymkirchenfeld.ch"
ALIAS="$(grep ${PATTERN} ${FILE} | awk '{print $2}')"

if [ "${ALIAS}" != "${VALUE}" ]
then
	echo "Configuring root email alias."
	sed -i "/${PATTERN}/s/${ALIAS}/${VALUE}/" ${FILE}
fi
