#!/bin/sh
#
# Makes vim the default editor.

set -e

VIM="/usr/bin/vim.basic"
EDITOR="$(update-alternatives --query editor | grep Value | awk -F ': ' '{print $2}')"

if [ "${EDITOR}" != "${VIM}" ]
then
	echo "Setting vim as the default editor."
	update-alternatives --set editor ${VIM}
fi
