#!/bin/sh
#
# fix git bash prompt

FILES="/etc/profile.d/vte.sh /etc/profile.d/vte-2.91.sh"
PATTERN="PROMPT_COMMAND"

for FILE in ${FILES}
do
	if [ -f ${FILE} ]
	then
		START="$(grep ${PATTERN} ${FILE} | awk '{print $1}')"

		if [ "${START}" = "#" ]
		then
			echo "Reverting git prompt fix in file ${FILE}."
			sed -i "/${PATTERN}/s/^#//" ${FILE}
		fi
	fi
done
